System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_external_markdown_it_sourcemap_js = _recorder_._src_external_markdown_it_sourcemap_js || {};
      const sourceMapPlugin = md => {
        const originalFunc = md.renderer.renderToken.bind(md.renderer);
        md.renderer.renderToken = function (tokens, idx, options) {
          let token = tokens[idx];
          if (token.map !== null && token.type.endsWith('_open')) {
            token.attrPush(['data-source-line', token.map[0] + 1 + "-" + (token.map[1] + 1)]);
          }
          return originalFunc(tokens, idx, options);
        };
      };

      Object.defineProperty(_recorder_._src_external_markdown_it_sourcemap_js, 'sourceMapPlugin', {
        get() {
          return sourceMapPlugin;
        },

        set(thisIsVererySecretVariableName) {
          sourceMapPlugin = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });

      _export('default', sourceMapPlugin);
    }
  };
});